# cli.utils.sweeps – Axolotl

# cli.utils.sweeps

`cli.utils.sweeps`

Utilities for handling sweeps over configs for axolotl train CLI command

## Functions

Name | Description
--- | ---
generate_sweep_configs | Recursively generates all possible configurations by applying sweeps to the base config.

### generate_sweep_configs

    cli.utils.sweeps.generate_sweep_configs(base_config, sweeps_config)

Recursively generates all possible configurations by applying sweeps to the base config.

#### Parameters

Name | Type | Description | Default
--- | --- | --- | ---
base_config | dict | The original configuration dictionary | required
sweeps_config | dict | Dictionary where keys are parameters and values are either: - lists of values to sweep independently - or for paired values, a list of dicts under the ’_’ key | required

#### Returns

Name | Type | Description
--- | --- | ---
list | list[dict[str, list]] | List of all possible configuration dictionaries

#### Example

sweeps_config = { ‘learning_rate’: [0.1, 0.01], ’_’: [ {‘load_in_8bit’: True, ‘adapter’: ‘lora’}, {‘load_in_4bit’: True, ‘adapter’: ‘qlora’} ] }